﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace visualstateTest
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            btn_1.Click += new RoutedEventHandler(btn_1_Click);

            foreach (VisualStateGroup vg in VisualStateManager.GetVisualStateGroups(LayoutRoot))
            {
                if (vg.Name == "TestGroupStates")
                {
                    vg.CurrentStateChanged += new EventHandler<VisualStateChangedEventArgs>(vg_CurrentStateChanged);
                    vg.CurrentStateChanging += new EventHandler<VisualStateChangedEventArgs>(vg_CurrentStateChanging);
                }
            }
        }

        void vg_CurrentStateChanging(object sender, VisualStateChangedEventArgs e)
        {
            tb1.Text = "Start";
        }

        void vg_CurrentStateChanged(object sender, VisualStateChangedEventArgs e)
        {
            tb1.Text = "End";
        }
  
        void btn_1_Click(object sender, RoutedEventArgs e)
        {
            VisualStateManager.GoToState(this, "go", true);
        }
    }
}
